Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser
Class JJTParserState

    java.lang.Object
      |
      +--org.apache.velocity.runtime.parser.JJTParserState

class JJTParserState
extends java.lang.Object

Field Summary
`private java.util.Stack` | `marks`
`private int` | `mk`
`private boolean` | `node_created`
`private java.util.Stack` | `nodes`
`private int` | `sp`

Constructor Summary
`(package private)` | `JJTParserState()`

Method Summary
`(package private) void` | `clearNodeScope(Node n)`
`(package private) void` | `closeNodeScope(Node n, boolean condition)`
`(package private) void` | `closeNodeScope(Node n, int num)`
`(package private) int` | `nodeArity()`
`(package private) boolean` | `nodeCreated()`
`(package private) void` | `openNodeScope(Node n)`
`(package private) Node` | `peekNode()`
`(package private) Node` | `popNode()`
`(package private) void` | `pushNode(Node n)`
`(package private) void` | `reset()`
`(package private) Node` | `rootNode()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### nodes

    private java.util.Stack nodes

### marks

    private java.util.Stack marks

### sp

    private int sp

### mk

    private int mk

### node_created

    private boolean node_created

Constructor Detail

### JJTParserState

    JJTParserState()

Method Detail

### nodeCreated

    boolean nodeCreated()

### reset

    void reset()

### rootNode

    Node rootNode()

### pushNode

    void pushNode(Node n)

### popNode

    Node popNode()

### peekNode

    Node peekNode()

### nodeArity

    int nodeArity()

### clearNodeScope

    void clearNodeScope(Node n)

### openNodeScope

    void openNodeScope(Node n)

### closeNodeScope

    void closeNodeScope(Node n,
                        int num)

### closeNodeScope

    void closeNodeScope(Node n,
                        boolean condition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.